libraw1394: version 2.0.4
Prev |  | Next

# raw1394_iso_multichannel_recv_init

## Name

raw1394_iso_multichannel_recv_init -- initialize multi-channel iso reception

## Synopsis

``int raw1394_iso_multichannel_recv_init` (raw1394handle_t handle, raw1394_iso_recv_handler_t handler, unsigned int buf_packets, unsigned int max_packet_size, int irq_interval);`

## Arguments

`handle`

  libraw1394 handle

`handler`

  handler function for receiving packets

`buf_packets`

  number of isochronous packets to buffer

`max_packet_size`

  largest packet you need to handle, in bytes (not including the isochronous header)

`irq_interval`

  maximum latency of wake-ups, in packets (-1 if you don't care)

## Description

Allocates all user and kernel resources necessary for isochronous reception.

## Returns

0 on success or -1 on failure (sets errno)

Prev | Home | Next
raw1394_iso_recv_init | Up | raw1394_iso_recv_listen_channel